:root {
    --theme--template-settings__body-bgColor: #e1d3b4;
    --page-body-color: rgb(237, 230, 214); /* inner page background color */
    --brand-color-light: rgba(201, 207, 195);
    --brand-color-light-2: rgb(174, 190, 180);
    --brand-color-beige: rgb(48, 27, 15);
    --page-padding-inline: clamp(20px, calc(4vw * 1.5 - 2rem), 3rem);
    --qui-megaMenu-link-padding: 0.25em 1em;
}

/***********/
/* General */
/***********/
body {
    isolation: isolate;
    position: relative;
}

.slideout-panel {
    background-color: transparent !important;
}

.ks77d-sign-decoration {
    left: 0;
    overflow: hidden;
    pointer-events: none;
    position: absolute;
    width: 100%;
    z-index: -1;
}

.ks77d-sign-decoration picture {
    display: block;
    height: 100%;
    width: 100%;
}

.ks77d-sign-decoration__image {
    display: block;
    height: auto;
    max-width: none;
    position: absolute;
}

.ks77d-sign-decoration--top {
    height: 500px;
    top: 0;
}

.ks77d-sign-decoration--top .ks77d-sign-decoration__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: bottom;
}

.body-container {
    background-color: var(--page-body-color);
    isolation: isolate;
    margin-inline: auto;
    max-width: var(--qui-body-container-max-width);
    overflow: hidden;
    position: relative;
}

.ks77d-sign-decoration--footer {
    bottom: 0;
    height: 500px;
}

.ks77d-sign-decoration--footer .ks77d-sign-decoration__image {
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.text-narrow {
    max-width: 700px;
    margin-inline: auto;
}

/*************/
/* Mega menu */
/*************/
.header-bar {
    margin-inline: auto;
    max-width: var(--qui-nav-maxWidth);
}

.header-bar-inner {
    padding-inline: 0 !important;
}

.header-bar-logo {
    display: none !important;
}

/* hide nav on start page */
.start-page .header-bar {
    display: none !important;
}

/********/
/* Page */
/********/
.page-header.page-header {
    background-color: var(--brand-color-light);
    padding: 3rem var(--page-padding-inline);
}

.tpl-presentation-row {
    padding: 3rem var(--page-padding-inline);
}

.page-header-text__title {
    text-transform: uppercase;
    color: var(--qui-colors-primary);
    font-weight: normal;
    max-width: 100%;
    text-align: center;
    letter-spacing: 0.25em;
    font-size: var(--qui-display-4);
}

.main-contentWrapper {
    padding-inline: var(--page-padding-inline);
}

@media screen and (max-width: 767px) {
    .page-header.page-header {
        padding-bottom: 7rem;
    }
}

/**********/
/* Footer */
/**********/
.page-footer.page-footer {
    --qui-footer-bg: transparent;
    --qui-footer-link-color: var(--qui-colors-white);
    --qui-footer-link-color--hover: var(--qui-colors-white);

    position: relative;
}

.page-footer-container.page-footer-container {
    font-size: 1rem;
    padding-inline: var(--page-padding-inline);
}

@media screen and (min-width: 768px) {
    .page-footer.page-footer {
        margin-top: 5rem;
        padding-top: 5rem;
    }
}

/* url list  */
.ks77d-sign-footer-right,
.ks77d-sign-footer-left {
    text-transform: uppercase;
}

:is(.ks77d-sign-footer-right, .ks77d-sign-footer-left) .qui-menu-urlList__entry {
    margin-bottom: 0;
    line-height: 2em;
}

.page-footer-container {
    padding-block: 3rem;
}

.page-footer a:is(:hover, :focus-visible) {
    text-decoration: underline;
}

.page-footer__bar {
    display: none;
}


@media screen and (min-width: 768px) {
    .ks77d-sign-footer-right .qui-menu-urlList__link {
        justify-content: flex-end;
    }
}

/****************************/
/* Start page: welcome text */
/****************************/
.brick-container__ks77d-sign-halloText {
    background-color: var(--brand-color-light-2);
    color: #fff;
}

.ks77d-sign-halloText {
    padding-top: 3rem;
}

/******************/
/* Category boxes */
/******************/
.ks77d-sign-categories .quiqqer-boxContentAdvanced-entry {
    padding-inline: 1rem;
    position: relative;
    width: 250px;
    margin-inline: auto;
}

.ks77d-sign-categories .quiqqer-boxContentAdvanced-entry-img {
    margin-bottom: 0 !important;
    transition: 0.2s ease;
}

.ks77d-sign-categories .quiqqer-boxContentAdvanced-entry:hover > a .quiqqer-boxContentAdvanced-entry-img {
    filter: brightness(1.3);
}

.ks77d-sign-categories .quiqqer-boxContentAdvanced-entry > header {
    position: absolute;
    left: calc(50% + 0.5em);
    top: calc(50% - 0.5em);
    transform: translate(-50%, -50%);
    padding: 0;
}

.ks77d-sign-categories .quiqqer-boxContentAdvanced-entry .quiqqer-boxContentAdvanced-entry-title {
    font-size: 1.125rem;
    font-weight: normal;
}

.ks77d-sign-categories .quiqqer-boxContentAdvanced-entry a {
    color: #fff;
}

/******************************/
/* Startpage: category boxes */
/******************************/
.ks77d-sign-categories .quiqqer-boxContentAdvanced-entry .quiqqer-boxContentAdvanced-entry-title {
    font-size: 1.25rem;
}

/******************/
/* Page portfolio */
/******************/
.ks77d-sign-page-portfolio {
    --qui-header-minHeight: 350px;
}

.ks77d-sign-page-portfolio .page-header.page-header {
    padding: 3rem var(--page-padding-inline) 6rem;
}

/******************************/
/* Portfolio - category boxes */
/******************************/
.ks77d-sign-categories--portfolio {
    --top-spacing: 6rem;

    margin-top: -10rem;
}

.ks77d-sign-categories.ks77d-sign-categories--portfolio .quiqqer-boxContentAdvanced-entry {
    padding-inline: 4rem;
    width: 340px;
    border-radius: 14rem 14rem 0 0;
    padding-top: var(--top-spacing);
    background: var(--page-body-color);
}

.ks77d-sign-categories--portfolio .quiqqer-boxContentAdvanced-entry a {
    margin-top: -2rem;
    display: block;
}

.ks77d-sign-categories--portfolio .quiqqer-boxContentAdvanced-entry .quiqqer-boxContentAdvanced-entry-title > a {
    padding-top: var(--top-spacing);
}

.ks77d-sign-categories--portfolio .quiqqer-boxContentAdvanced-entry.hover-darker a {
    color: var(--brand-color-beige);
}

.ks77d-sign-categories--portfolio .quiqqer-boxContentAdvanced-entry.hover-darker:hover > a .quiqqer-boxContentAdvanced-entry-img {
    filter: brightness(0.9);
}

/*********************/
/* Portfolio gallery */
/*********************/
.quiqqer-gallery-grid-entry {
    background-color: transparent !important;
    position: relative;
}

.quiqqer-gallery-grid-entry-image {
    height: auto !important;
}

.quiqqer-gallery-grid-entry-image img {
    display: block;
}

.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text {
    position: absolute;
    inset: 0;
    display: grid;
    place-items: center;
    cursor: pointer;
    transition: 0.25s ease;
    opacity: 0;
    color: #fff;
    white-space: initial !important;
    padding-inline: 1rem;
    overflow: hidden;
}

.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text > a {
    color: inherit;
    display: grid;
    height: 100%;
    place-items: center;
    text-decoration: none;
    width: 100%;
}

.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text > a:focus-visible {
    outline: 2px solid var(--qui-colors-white);
    outline-offset: -4px;
}

.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text:before,
.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text:after {
    content: '';
    width: 3rem;
    height: 2px;
    background-color: rgba(255, 255, 255, 0);
    position: absolute;
    left: calc(50% - 1.5rem);
    transition: 0.35s ease;
}

.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text:before {
    top: 1rem;
    transform: translateY(-1.5rem) scaleX(1.5);
}

.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text:after {
    bottom: 1rem;
    transform: translateY(1.5rem) scaleX(1.5);
}

.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text:is(:hover, :active, :focus-within) {
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 1;
}

.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text:is(:hover, :active, :focus-within):before,
.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text:is(:hover, :active, :focus-within):after {
    background-color: rgba(255, 255, 255, 0.5);
    transform: translateY(0) scaleX(1);
}

.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text span {
    transform: scale(0.95);
    transition: 0.25s ease;
    transition-delay: 0.1s;
}


.quiqqer-gallery-grid-entry .quiqqer-gallery-grid-entry-text:is(:hover, :active, :focus-within) span {
    transform: scale(1);
}
